summaryrefslogtreecommitdiffstats
path: root/mail/thunderbird-devel/pkg-install.in
diff options
context:
space:
mode:
authorahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-06-11 06:05:36 +0800
committerahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-06-11 06:05:36 +0800
commite6b3469ba539cf4133bb87b7a580e31f88fdde75 (patch)
treec6747e7e22d62a938d2cb4faeaa264e2727d430e /mail/thunderbird-devel/pkg-install.in
parent83f72fe2392123984794c84f25beaa50864996a0 (diff)
downloadmarcuscom-ports-e6b3469ba539cf4133bb87b7a580e31f88fdde75.tar
marcuscom-ports-e6b3469ba539cf4133bb87b7a580e31f88fdde75.tar.gz
marcuscom-ports-e6b3469ba539cf4133bb87b7a580e31f88fdde75.tar.bz2
marcuscom-ports-e6b3469ba539cf4133bb87b7a580e31f88fdde75.tar.lz
marcuscom-ports-e6b3469ba539cf4133bb87b7a580e31f88fdde75.tar.xz
marcuscom-ports-e6b3469ba539cf4133bb87b7a580e31f88fdde75.tar.zst
marcuscom-ports-e6b3469ba539cf4133bb87b7a580e31f88fdde75.zip
- Add thunderbird at version 1.1a1
Note: Chrome stuff works with thunderbird (unlinke firefox) so no need to run as root. there are a few plist errors when removing thunderbird but everything is removed. ChangeLog: http://weblogs.mozillazine.org/rumblingedge/archives/2005/06/whats_new_in_th_1.html git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@4066 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'mail/thunderbird-devel/pkg-install.in')
-rw-r--r--mail/thunderbird-devel/pkg-install.in25
1 files changed, 25 insertions, 0 deletions
diff --git a/mail/thunderbird-devel/pkg-install.in b/mail/thunderbird-devel/pkg-install.in
new file mode 100644
index 000000000..e7d5df3e4
--- /dev/null
+++ b/mail/thunderbird-devel/pkg-install.in
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin:/usr/local/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xPOST-INSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+REGXPCOM=${MOZDIR}/regxpcom
+THUNDERBIRD=${MOZDIR}/thunderbird-bin
+
+echo "===> Building Chrome's registry..."
+
+cd ${MOZDIR} || exit 1
+./run-mozilla.sh ${REGXPCOM} || true
+./run-mozilla.sh ${THUNDERBIRD} -register > /dev/null 2>&1
+
+exit 0